Package org.pgpainless.key.util

# Class OpenPgpKeyAttributeUtil

java.lang.Object
org.pgpainless.key.util.OpenPgpKeyAttributeUtil

public final class OpenPgpKeyAttributeUtil extends Object

## Method Summary

Modifier and Type
Method
Description
`static Set<HashAlgorithm>`
`getOrGuessPreferredHashAlgorithms(org.bouncycastle.openpgp.PGPPublicKey publicKey)`
Try to extract hash algorithm preferences from self signatures.
`static List<HashAlgorithm>`
`getPreferredHashAlgorithms(org.bouncycastle.openpgp.PGPPublicKey publicKey)`
`static List<HashAlgorithm>`
`guessPreferredHashAlgorithms(org.bouncycastle.openpgp.PGPPublicKey publicKey)`
Return the hash algorithm that was used in the latest self signature.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPreferredHashAlgorithms

public static List<HashAlgorithm> getPreferredHashAlgorithms(org.bouncycastle.openpgp.PGPPublicKey publicKey)

### guessPreferredHashAlgorithms

public static List<HashAlgorithm> guessPreferredHashAlgorithms(org.bouncycastle.openpgp.PGPPublicKey publicKey)
Return the hash algorithm that was used in the latest self signature.

Parameters:
  `publicKey` - public key
Returns:
  list of hash algorithm

### getOrGuessPreferredHashAlgorithms

public static Set<HashAlgorithm> getOrGuessPreferredHashAlgorithms(org.bouncycastle.openpgp.PGPPublicKey publicKey)
Try to extract hash algorithm preferences from self signatures. If no self-signature containing hash algorithm preferences is found, try to derive a hash algorithm preference by inspecting the hash algorithm used by existing self-signatures.

Parameters:
  `publicKey` - key
Returns:
  hash algorithm preferences (might be empty!)